summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2015-12-17 14:41:30 +0100
committerLars Wendler <polynomial-c@gentoo.org>2015-12-17 15:04:38 +0100
commitb85f99a1eb4498e0612317186288cea6a39d3266 (patch)
tree4d573d1e681a21437f195e10d41438c146c383a2 /x11-wm/icewm
parentapp-misc/elasticsearch: switch to correct file elasticsearch.init5 (diff)
downloadgentoo-b85f99a1eb4498e0612317186288cea6a39d3266.tar.gz
gentoo-b85f99a1eb4498e0612317186288cea6a39d3266.tar.bz2
gentoo-b85f99a1eb4498e0612317186288cea6a39d3266.zip
x11-wm/icewm: Bump to version 1.3.12
Package-Manager: portage-2.2.26 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'x11-wm/icewm')
-rw-r--r--x11-wm/icewm/Manifest1
-rw-r--r--x11-wm/icewm/icewm-1.3.12.ebuild125
2 files changed, 126 insertions, 0 deletions
diff --git a/x11-wm/icewm/Manifest b/x11-wm/icewm/Manifest
index 2a608284fca..1607ec69a09 100644
--- a/x11-wm/icewm/Manifest
+++ b/x11-wm/icewm/Manifest
@@ -1,4 +1,5 @@
DIST icewm-1.3.10.tar.gz 929941 SHA256 dae6aa00c88f700537cc841cbd233ea2905e756f6274f9ebd52020f782502706 SHA512 96834d5ed2d693451ef071d574b4f553431183feefc8c6db97d46666ec086e9ff8d4a1b0c0eaf60cfbb1398be653aad3a47a61b35a5354730c05b1ddfa61bf16 WHIRLPOOL a085604cd70ef0d10ff3a9c9e91b2572f47750e2a5627c1d8feeadd3d9024423b75ffe9339329c59ade855ebd1046d1c18757994ce38aef0fdfca03dcb47e97d
DIST icewm-1.3.11.tar.gz 930484 SHA256 a8e697e92e1697109522eb286eaa282bee10dcdb747b18bbb26d7d21a3d99588 SHA512 d64d324a51f793d8c1c820fb406c310fd7f3cfe9d9e328226103958d9f266830d08cd92fac1a0785e68e1055cdd22cd64e15d0c844008f6f1505473219bb348b WHIRLPOOL 9f4d5e8f9ee16f8e7d96f7b5e5012049190dfa6eb178859262835383c672e27d1915c8faf5258953bf1afe86fb23adb329e934f0cf98c3db7ea69fda90976cd9
+DIST icewm-1.3.12.tar.gz 944617 SHA256 e7e0fe0fb07e297fa40f0c9d149c0cf6da19e13b98178fc779dca9ed81b3b232 SHA512 b2704ab69a1910cab6711ca11b79fa32f66747fe04468eff86813812fa855423ed43144ab0290e245221520a919755c0e153b60ff238ace60f9546af595063ee WHIRLPOOL bc7ec26e2a9de14e2b67da60de741205e2716233074a77465ce490e291d9a19deee61fa896ac31c1489d181b5929a325c1df7b30a0e3c428b0b6bf6bcd8fdccf
DIST icewm-1.3.8.tar.gz 905680 SHA256 17588d9e0bbbb23587bc04c83da9dd94fd4da6894ecfee6d7f3ed50d780dcd18 SHA512 ce9bf3e736a2f3fad4bbf731647b4e4ad0168cd2c4af66b1c43beef9ceeee39d14909714d2fc73ab13f6c285a74dfe31fffc9677ae8bd2d1077716cd6d6afb72 WHIRLPOOL 5bb0f6fa830ea10978bb8fd31805596c849a370d619626736e1218e844de72e142ed1aaa87b2f2aeb40603fcf2cfaa88ffae242c726ae1151045c6a792d5cf6c
DIST icewm-1.3.9.tar.gz 890170 SHA256 2d47f8cda48a91ac14fb20890c2df0f304cf8278adf50c3e4070ef68b61a687d SHA512 9c28b004d3a13470e61a3ecbea489d67134b5d1651d84677e8ab0fb732b630d30b7be047553833c818a0ae05841ec808d37d7d50e21e5a562d407cdc74b4943e WHIRLPOOL 8ecba1325da50655524b414280bf4c87f7bcf4c5d0e7edb0df8c6b341680443f961eddf7fd653ac75229aea88100ba8c06b8268196b48f63f6683231f972eb97
diff --git a/x11-wm/icewm/icewm-1.3.12.ebuild b/x11-wm/icewm/icewm-1.3.12.ebuild
new file mode 100644
index 00000000000..663a0c408ac
--- /dev/null
+++ b/x11-wm/icewm/icewm-1.3.12.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools eutils python-single-r1
+
+DESCRIPTION="Ice Window Manager with Themes"
+HOMEPAGE="http://www.icewm.org/ https://github.com/bbidulock/icewm"
+LICENSE="GPL-2"
+SRC_URI="https://github.com/bbidulock/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="bidi debug doc gnome minimal nls truetype uclibc xinerama"
+REQUIRED_USE="gnome? ( ${PYTHON_REQUIRED_USE} )"
+
+# Tests broken in all versions, patches welcome, bug #323907, #389533
+RESTRICT="test"
+
+#fix for icewm preversion package names
+S=${WORKDIR}/${P/_}
+
+RDEPEND="
+ media-libs/fontconfig
+ x11-libs/gdk-pixbuf:2[X]
+ x11-libs/libX11
+ x11-libs/libXrandr
+ x11-libs/libXext
+ x11-libs/libXpm
+ x11-libs/libXrender
+ x11-libs/libXft
+ x11-libs/libSM
+ x11-libs/libICE
+ xinerama? ( x11-libs/libXinerama )
+ bidi? ( dev-libs/fribidi )
+ gnome? (
+ ${PYTHON_DEPS}
+ dev-python/pyxdg
+ gnome-base/gnome-desktop:2
+ gnome-base/gnome-menus
+ gnome-base/libgnomeui )
+"
+DEPEND="${RDEPEND}
+ >=sys-apps/sed-4
+ x11-proto/xproto
+ x11-proto/xextproto
+ doc? ( app-text/linuxdoc-tools )
+ nls? ( >=sys-devel/gettext-0.19.5 )
+ truetype? ( >=media-libs/freetype-2.0.9 )
+ xinerama? ( x11-proto/xineramaproto )
+"
+
+pkg_setup() {
+ if use truetype && use minimal; then
+ ewarn "You have both 'truetype' and 'minimal' use flags enabled."
+ ewarn "If you really want a minimal install, you will have to turn off"
+ ewarn "the truetype flag for this package."
+ fi
+}
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.3.10-menu.patch
+)
+
+src_prepare() {
+ epatch ${PATCHES[@]}
+
+ # Fix bug #486710
+ use uclibc && epatch "${FILESDIR}/${PN}-1.3.8-uclibc.patch"
+
+ if ! use doc ; then
+ sed '/^SUBDIRS =/s@ doc@@' -i Makefile.am || die
+ fi
+
+ eautoreconf
+}
+
+src_configure() {
+ if use truetype ; then
+ myconf="${myconf} --enable-gradients --enable-shape --enable-shaped-decorations"
+ else
+ myconf="${myconf} --disable-xfreetype --enable-corefonts
+ $(use_enable minimal lite)"
+ fi
+
+ myconf="${myconf}
+ --with-libdir=/usr/share/icewm
+ --with-cfgdir=/etc/icewm
+ --with-docdir=/usr/share/doc/${PF}/html
+ $(use_enable bidi fribidi)
+ $(use_enable debug)
+ $(use_enable gnome menus-gnome2)
+ $(use_enable nls i18n)
+ $(use_enable nls)
+ $(use_enable xinerama)"
+
+ CXXFLAGS="${CXXFLAGS}" econf ${myconf}
+
+ sed -i "s:/icewm-\$(VERSION)::" src/Makefile || die
+ sed -i "s:ungif:gif:" src/Makefile || die "libungif fix failed"
+}
+
+src_install(){
+ default
+
+ if use gnome; then
+ dobin "${FILESDIR}"/icewm-xdg-menu
+ exeinto /usr/share/icewm/
+ newexe "${FILESDIR}"/icewm-startup startup
+ fi
+
+ dodoc AUTHORS BUGS CHANGES PLATFORMS README* TODO VERSION
+
+ if ! use doc ; then
+ dohtml -a html,sgml doc/*
+ cp doc/${PN}.man "${T}"/${PN}.1
+ doman "${T}"/${PN}.1
+ fi
+
+ exeinto /etc/X11/Sessions
+ doexe "${FILESDIR}/icewm"
+}